//Source file: PamAttributeExistsException.java
//Date: February 2004
//Presence and Availability Management Data Types for 3GPP TS 29.198-14 V6.0.0, Release 6

package org.csapi.jr.se.pam;

/**
 * Indicates that at least one of the named attributes already exists
 *
 */
public class PamAttributeExistsException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamAttributeExistsException() {
        super(); 
    }

    public PamAttributeExistsException(String message) {
        super(message); 
    }

    public PamAttributeExistsException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamAttributeExistsException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamAttributeExistsException

