//Source file: PamNotRegisteredException.java
//Date: February 2004
//Presence and Availability Management Data Types for 3GPP TS 29.198-14 V6.0.0, Release 6

package org.csapi.jr.se.pam;

/**
 * Indicates that the interface was not previously registered
 *
 */
public class PamNotRegisteredException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamNotRegisteredException() {
        super(); 
    }

    public PamNotRegisteredException(String message) {
        super(message); 
    }

    public PamNotRegisteredException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamNotRegisteredException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamNotRegisteredException

