//Source file: PamTypeAssociatedException.java
//Date: February 2004
//Presence and Availability Management Data Types for 3GPP TS 29.198-14 V6.0.0, Release 6

package org.csapi.jr.se.pam;

/**
 * Indicates that a named type has already been associated with the identity/agent
 *
 */
public class PamTypeAssociatedException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamTypeAssociatedException() {
        super(); 
    }

    public PamTypeAssociatedException(String message) {
        super(message); 
    }

    public PamTypeAssociatedException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamTypeAssociatedException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamTypeAssociatedException

