//Source file: PamDisassociatedTypeException.java
//Date: February 2004
//Presence and Availability Management Data Types for 3GPP TS 29.198-14 V6.0.0, Release 6

package org.csapi.jr.se.pam;

/**
 * Indicates that one of the specified types is not associated with the named identity/agent
 *
 */
public class PamDisassociatedTypeException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamDisassociatedTypeException() {
        super(); 
    }

    public PamDisassociatedTypeException(String message) {
        super(message); 
    }

    public PamDisassociatedTypeException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamDisassociatedTypeException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamDisassociatedTypeException

