//Source file: PamMemberExistsException.java
//Date: February 2004
//Presence and Availability Management Data Types for 3GPP TS 29.198-14 V6.0.0, Release 6

package org.csapi.jr.se.pam;

/**
 * Indicates that the specified member is already in the group
 *
 */
public class PamMemberExistsException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamMemberExistsException() {
        super(); 
    }

    public PamMemberExistsException(String message) {
        super(message); 
    }

    public PamMemberExistsException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamMemberExistsException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamMemberExistsException

