//Source file: PamNotMemberException.java
//Date: February 2004
//Presence and Availability Management Data Types for 3GPP TS 29.198-14 V6.0.0, Release 6

package org.csapi.jr.se.pam;

/**
 * Indicates that the specified member is not member of the group
 *
 */
public class PamNotMemberException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamNotMemberException() {
        super(); 
    }

    public PamNotMemberException(String message) {
        super(message); 
    }

    public PamNotMemberException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamNotMemberException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamNotMemberException

