//Source file: PamUnknownAssignmentException.java
//Date: February 2004
//Presence and Availability Management Data Types for 3GPP TS 29.198-14 V6.0.0, Release 6

package org.csapi.jr.se.pam;

/**
 * Indicates that no assignment exists for this identity and agent
 *
 */
public class PamUnknownAssignmentException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamUnknownAssignmentException() {
        super(); 
    }

    public PamUnknownAssignmentException(String message) {
        super(message); 
    }

    public PamUnknownAssignmentException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamUnknownAssignmentException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamUnknownAssignmentException

