//Source file: PamUnknownIdentityException.java
//Date: February 2004
//Presence and Availability Management Data Types for 3GPP TS 29.198-14 V6.0.0, Release 6

package org.csapi.jr.se.pam;

/**
 * Indicates that the specified identity does not exist
 *
 */
public class PamUnknownIdentityException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamUnknownIdentityException() {
        super(); 
    }

    public PamUnknownIdentityException(String message) {
        super(message); 
    }

    public PamUnknownIdentityException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamUnknownIdentityException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamUnknownIdentityException

